GlideinWMS - Feature #4846

Include GWMS_XSLT_PLUGIN_DIR setting in generated {factory,frontend}_startup
10/25/2013 01:04 PM - Burt Holzman

Status: Assigned Start date: 10/25/2013
Priority: Normal Due date:

Assignee: Marco Mambelli % Done: 0%
Category: Estimated time: 0.00 hour
Target version: v3_6_x Spent time: 0.00 hour
Stakeholders: 0SG

Description

We should have a more coherent approach to configuring XSLT plugin directories. They can be specified either

by environment variable or by specifying the xslt_plugin_dir argument to reconfig_{factory,frontend}, but they

are not included in the auto-generated {factory,frontend}_startup scripts which are generated by create_frontend and create_glidein
respectively.

We should allow a way to keep the state of the xslt path into the auto-generated {factory,frontend}_startup scripts.

Related issues:
Related to GlideinWMS - Feature #4904: Specify a default for GWMS_XSLT_PLUGIN... Assigned 11/04/2013

History

#1 - 11/04/2013 04:24 PM - Burt Holzman

- Target version changed fromv3_ 2 2tov3 2 3

#2 - 11/21/2013 08:46 AM - Burt Holzman

- Target version changed from v3_2 _3tov3 2 x

#3 - 04/01/2015 01:41 PM - Parag Mhashilkar
- Related to Feature #4904: Specify a default for GWMS_XSLT_PLUGIN_DIR added

#4 - 04/01/2015 01:42 PM - Parag Mhashilkar

- Tracker changed from Bug to Feature

- Assignee changed from Burt Holzman to Marco Mambelli
- Target version changed from v3_ 2 xtov3 2 10

- Stakeholders updated

#5 - 05/14/2015 02:21 PM - Parag Mhashilkar

- Target version changed from v3_2 _10tov3 2 x

#6 - 04/26/2018 04:43 PM - Marco Mambelli

- Target version changed from v3_2 x tov3 4 x

#7 - 09/06/2018 03:25 PM - Marco Mambelli

- Target version changed from v3_4 _x tov3 5 x

#8 - 10/04/2019 04:56 PM - Marco Mambelli

- Target version changed from v3_5_x to v3_6_x
